import java.util.*;
import java.io.*;
import javax.servlet.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class MyFilter implements Filter {
	private FilterConfig filterConfig = null;
	public void init(FilterConfig filterConfig) {
		this.filterConfig = filterConfig;
	}
	public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain) throws IOException, ServletException {
		// Get the password entered by the user.
		String password = ((HttpServletRequest) req).getParameter("password");
		// Check whether it matches with the desired password.
		if(password.equals("mypassword")) {
			long start = System.currentTimeMillis();
			String address =  req.getRemoteAddr();
			String file = ((HttpServletRequest) req).getRequestURI();
			// Pass control to the WelcomeServlet's service() method
			chain.doFilter(req, res);
			
			// After returning the control back to the filter, log user ip, resource uri and time used .
			filterConfig.getServletContext().log(" User IP: " + address + " Resource: " + file + " Milliseconds used: " + (System.currentTimeMillis() - start) );
		}
		else {
			// If password doesn't match then send the page informing incorrect password.
			res.setContentType("text/html");
			PrintWriter pw = res.getWriter();
			pw.println("<html>");
			pw.println("<head><title>Wrong Password</title></head>");
			pw.println("<body>");
			pw.println("<h3>Sorry, the password was incorrect.</h3>");
			pw.println("</body>");
			pw.println("</html>");
		}
	}
	public void destroy() { }
	
}